/*
 * OpenEAS Experlog Application Server
 * Web application development and dynamic template scripting engine
 * Copyright (c) 2004 ExperLog SARL - http://www.experlog.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version. This program is distributed in
 * the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have
 * received a copy of the GNU General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.experlog.openeas.api;

import java.util.Locale;
import java.io.IOException;

/**
 * A class to give access to shop properties
 */
public class AppConfiguration {

  org.experlog.util.AppConfiguration conf_;

  protected AppConfiguration(org.experlog.util.AppConfiguration c) {
    conf_ = c;
  }

  // JDBC configuration
  public String getJdbcDriverClass() { return conf_.getJdbcDriverClass(); }
  public String getJdbcUser() { return conf_.getJdbcUser(); }
  public String getJdbcPassword() { return conf_.getJdbcPassword(); }
  public String getJdbcUrl() { return conf_.getJdbcUrl(); }
  public int getMaxConn() { return conf_.getMaxConn(); }

  // Shop configuration
  /**
   * Get this shop's name
   */
  public String getName() { return conf_.getName(); }

  /**
   * Get this shop's administrator password
   */
  public String getAdminPassword(String id) {
    return conf_.getAdminPassword(id);
  }

  /**
   * Get this shop's root directory (app.RootDir property)
   */
  public String getRootDir() { return conf_.getRootDir(); }

  /**
   * Get the Locale
   */
  public Locale getLocale() { return conf_.getLocale(); }

  public int getTimeout() { return conf_.getTimeout(); }

  public String get(String pname) throws java.sql.SQLException {
    return conf_.get(pname);
  }

  public double getDouble(String pname) throws IOException {
    return conf_.getDouble(pname);
  }
};

