/*
 * OpenEAS Experlog Application Server
 * Web application development and dynamic template scripting engine
 * Copyright (c) 2004 ExperLog SARL - http://www.experlog.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version. This program is distributed in
 * the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have
 * received a copy of the GNU General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.experlog.openeas.api;

import org.experlog.db.ESDbObject;

import java.sql.*;

public class DbObject {

  protected ESDbObject dbo_ = null;

  protected DbObject(ESDbObject d) {
    dbo_ = d;
  }

  public void initialize(Connection conn, String table, ResultSet rs)
  throws SQLException {
    dbo_.initialize(conn, table, rs);
  }

  public void setSqlEncode(boolean s) {
    dbo_.setSqlEncode(s);
  }

  public void setWritable(String name, boolean w) {
    dbo_.setWritable(name, w);
  }

  public String get(String name) throws SQLException {
    return dbo_.get(name);
  }

  public void set(String name, String val) {
    dbo_.set(name, val);
  }

  public void set(String name, int val) {
    dbo_.set(name, val);
  }

  public void set(String name, long val) {
    dbo_.set(name, val);
  }

  public void set(String name, double val) {
    dbo_.set(name, val);
  }

  public double getDouble(String name) throws SQLException {
    return dbo_.getDouble(name);
  }

  public boolean present(String col) {
    return dbo_.present(col);
  }

  public void setFromRequest(ServletRequest req) {
    dbo_.setFromRequest(req.req_);
  }

  public void addColumn(String name, int type, String val) {
    dbo_.addColumn(name, type, val);
  }

  public void saveChanges(String where) throws SQLException {
    dbo_.saveChanges(where);
  }

  public void clearValues() {
    dbo_.clearValues();
  }

  public String deleteQuery(String where) {
    return dbo_.deleteQuery(where);
  }

  public String updateQuery(String where) {
    return dbo_.updateQuery(where);
  }

  public String insertQuery() {
    return dbo_.insertQuery();
  }
}

