/*
 * OpenEAS Experlog Application Server
 * Web application development and dynamic template scripting engine
 * Copyright (c) 2004 ExperLog SARL - http://www.experlog.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version. This program is distributed in
 * the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have
 * received a copy of the GNU General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.experlog.openeas.api;


import java.util.Hashtable;
import java.util.Enumeration;

import javax.servlet.http.HttpServletRequest;

import org.experlog.base.ESServletRequest;

/**
 * An ExperSHOP servlet request
 */
public class ServletRequest {

  ESServletRequest req_;

  protected ServletRequest(ESServletRequest req) {
    req_ = req;
  }

  public String getParameter(String name) {
    return req_.getParameter(name);
  }

  public int getIntParam(String name, int errval) {
    return req_.getIntParam(name, errval);
  }

  public double getDoubleParam(String name, double errval) {
    return req_.getDoubleParam(name, errval);
  }

  /**
   * Add a new parameter, or set the value of an existing one.
   * @param name the parameter name
   * @param val the parameter value
   */
  public void addParameter(String name, String val) {
    req_.addParameter(name, val);
  }

  public String[] getParameterValues(String name) {
    return req_.getParameterValues(name);
  }

  public void addParameterValues(String name, String[] val) {
    req_.addParameterValues(name, val);
  }

  /**
   * Check the presence of a list of parameters
   * @param names The parameter names
   * @param all If true, return the list of all missing parameters; If false,
   * return only the 1st missing parameter name.
   * @return The name of the first undefined parameter, null if they are
   * all defined
   */
  public String checkParameters(String[] names, boolean all) {
    return req_.checkParameters(names, all);
  }

  public Enumeration getParameterNames() {
    return req_.getParameterNames();
  }

  public Hashtable getAllParams() {
    return req_.getAllParams();
  }

  public String toString() { return req_.toString(); }

  public HttpServletRequest getServletRequest() {
    return req_.getServletRequest();
  }
};

